package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcActivityDiscountDomain;

import java.util.List;
import java.util.Map;

public interface XhpcActivityDiscountService {

    List<XhpcActivityDiscountDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getNameList(Map<String, Object> params);

    XhpcActivityDiscountDomain getDomainByPk(Integer activityId);

    boolean insertDomain(XhpcActivityDiscountDomain domain);

    boolean updateDomain(XhpcActivityDiscountDomain domain);

    boolean checkDomain(XhpcActivityDiscountDomain domain);

    boolean updateDomainStatus(XhpcActivityDiscountDomain domain);

    boolean deleteByPk(Integer activityId);

    List<Map<String, Object>> getUserList(Map<String, Object> params);
}
